package com.mvc.recognition.noconfig;

import com.mvc.recognition.AiConstant;

import java.util.Date;

/**
 * 免配置服务侧识别传入参数
 */
public class NoConfigInModel {
    public NoConfigInModel() {
        this.imagePath = "";//输入图像路径
        this.outputPath = "";//图像输出路径
        this.numNumbers = AiConstant.IMPOSSIBLE_VALUE;//水表数字个数
        this.numberUnit = AiConstant.IMPOSSIBLE_VALUE;//水表最后一个数字单位
        this.max_flow_per_hour =  AiConstant.IMPOSSIBLE_MAX_VALUE;//每小时最大流量
        this.lastOkValue = AiConstant.IMPOSSIBLE_MAX_VALUE;//最近一次的可靠值
        this.lastOkValueTime = null;//最近一次可靠值的识别时间
        this.serverLastOkRotateAngle = AiConstant.IMPOSSIBLE_VALUE;//MCU上一次识别得到的旋转角度
        this.isGenSlsSmallJPG = false;//是否生成水利所小JPG图像
    }

    private String imagePath;//输入图像路径
    private String outputPath;//图像输出路径
    private boolean isGenSlsSmallJPG;//是否生成水利所小JPG图像
    private int numNumbers;//水表数字个数
    private double numberUnit;//水表最后一个数字单位
    private double max_flow_per_hour;//水表每小时的最大流量
    private double lastOkValue;//最近一次的可靠值
    private Date lastOkValueTime;//最近一次可靠值的识别时间
    private int serverLastOkRotateAngle;//MCU上一次识别得到的旋转角度

    public String getImagePath() {
        return imagePath;
    }

    public void setImagePath(String imagePath) {
        this.imagePath = imagePath;
    }

    public String getOutputPath() {
        return outputPath;
    }

    public void setOutputPath(String outputPath) {
        this.outputPath = outputPath;
    }

    public boolean isGenSlsSmallJPG() {
        return isGenSlsSmallJPG;
    }

    public void setGenSlsSmallJPG(boolean genSlsSmallJPG) {
        isGenSlsSmallJPG = genSlsSmallJPG;
    }

    public int getNumNumbers() {
        return numNumbers;
    }

    public void setNumNumbers(int numNumbers) {
        this.numNumbers = numNumbers;
    }

    public double getNumberUnit() {
        return numberUnit;
    }

    public void setNumberUnit(double numberUnit) {
        this.numberUnit = numberUnit;
    }

    public double getMax_flow_per_hour() {
        return max_flow_per_hour;
    }

    public void setMax_flow_per_hour(double max_flow_per_hour) {
        this.max_flow_per_hour = max_flow_per_hour;
    }

    public double getLastOkValue() {
        return lastOkValue;
    }

    public void setLastOkValue(double lastOkValue) {
        this.lastOkValue = lastOkValue;
    }

    public Date getLastOkValueTime() {
        return lastOkValueTime;
    }

    public void setLastOkValueTime(Date lastOkValueTime) {
        this.lastOkValueTime = lastOkValueTime;
    }

    public int getServerLastOkRotateAngle() {
        return serverLastOkRotateAngle;
    }

    public void setServerLastOkRotateAngle(int serverLastOkRotateAngle) {
        this.serverLastOkRotateAngle = serverLastOkRotateAngle;
    }
}
